Bug 2040856 (CVE-2021-44533) - CVE-2021-44533 nodejs: Incorrect handling of certificate subject and issuer fields
Summary: CVE-2021-44533 nodejs: Incorrect handling of certificate subject and issuer f...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-44533
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2042987 2042988 2042989 2046369 2052252 2086810 2040857 2040858 2040859 2040860 2040861 2042984 2042985 2042986 2046354 2086809 2086811 2086812 2087168
Blocks: 2040868
TreeView+ depends on / blocked
 
Reported: 2022-01-14 19:44 UTC by Guilherme de Almeida Suckevicz
Modified: 2022-06-06 13:16 UTC (History)
26 users (show)

Fixed In Version: node 12.22.9, node 14.18.3, node 16.13.2, node 17.3.1
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in node.js, where it did not properly handle multi-value Relative Distinguished Names. This flaw allows a specially crafted x509 certificate to produce a false multi-value Relative Distinguished Name and to inject arbitrary data in node.js libraries.
Clone Of:
Environment:
Last Closed: 2022-06-06 13:16:58 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2022:4914 0 None None None 2022-06-06 09:27:17 UTC

Description Guilherme de Almeida Suckevicz 2022-01-14 19:44:04 UTC
Node.js did not handle multi-value Relative Distinguished Names correctly. Attackers could craft certificate subjects containing a single-value Relative Distinguished Name that would be interpreted as a multi-value Relative Distinguished Name, for example, in order to inject a Common Name that would allow bypassing the certificate subject verification.

Affected versions of Node.js do not accept multi-value Relative Distinguished Names and are thus not vulnerable to such attacks themselves. However, third-party code that uses node's ambiguous presentation of certificate subjects may be vulnerable.

Reference:
https://nodejs.org/en/blog/vulnerability/jan-2022-security-releases/

Comment 1 Guilherme de Almeida Suckevicz 2022-01-14 19:44:40 UTC
Created nodejs tracking bugs for this issue:

Affects: epel-7 [bug 2040861]
Affects: fedora-all [bug 2040857]


Created nodejs:12/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 2040858]


Created nodejs:14/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 2040859]


Created nodejs:16/nodejs tracking bugs for this issue:

Affects: fedora-all [bug 2040860]

Comment 2 Cedric Buissart 2022-01-20 12:55:03 UTC
Upstream fix :
https://github.com/nodejs/node/commit/a336444c7fb9fd1d0055481d84cdd57d7d569879

Comment 6 errata-xmlrpc 2022-06-06 09:27:13 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 7

Via RHSA-2022:4914 https://access.redhat.com/errata/RHSA-2022:4914

Comment 7 Product Security DevOps Team 2022-06-06 13:16:54 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-44533


Note You need to log in before you can comment on or make changes to this bug.